package com.dragon.system.common.domain.res;

import com.dragon.system.common.domain.SysRole;
import com.dragon.system.common.domain.SysUser;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author 冯凯
 * @version 1.0
 * @description: 鉴权角色响应实体类
 * @date 2023/11/12 20:42
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AuthRoleRes {

    private SysUser user;

    private List<SysRole> roles;

}
