package com.dragon.system.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dragon.system.common.domain.SysDept;

import java.util.List;

/**
 * @author 冯凯
 * @version 1.0
 * @description: 系统部门plus持久层
 * @date 2023/11/14 12:41
 */
public interface SysDeptPlusMapper extends BaseMapper<SysDept> {
    List<SysDept> selectChildrenDeptById(Long deptId);

    void updateDeptChildren(List<SysDept> children);

    int selectNormalChildrenDeptById(Long deptId);

    int checkDeptExistUser(Long deptId);
}
