package com.dragon.system.common.domain.res;

import com.dragon.system.common.domain.SysUser;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Set;

/**
 * @author 冯凯
 * @version 1.0
 * @description: 登录用户信息响应实体类
 * @date 2023/11/12 20:46
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LoginUserInfoRes {

    private SysUser user;

    private Set<String> roles;

    private Set<String> permissions;
}
