package com.dragon.system.common.domain.res;

import com.dragon.system.common.domain.vo.TreeSelect;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author 冯凯
 * @version 1.0
 * @description: 角色菜单树响应实体类
 * @date 2023/11/12 20:25
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RoleMenuTreeRes {

    private List<Long> checkedKeys;

    private List<TreeSelect> menus;
}
