package com.dragon.system.common.domain.res;

import com.dragon.system.common.domain.SysRole;
import com.dragon.system.common.domain.SysUser;
import com.dragon.system.common.domain.SysPost;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author 冯凯
 * @version 1.0
 * @description:
 * @date 2023/11/12 20:49
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserInfoByUserId {

    private SysUser sysUser;

    private List<SysRole> roles;

    private List<SysPost> sysPosts;

    private List<Long> postIds;

    private List<Long> roleIds;
}
