package com.dragon.system.server;

import com.dragon.common.security.annotation.EnableCustomConfig;
import com.dragon.common.security.annotation.EnableDragonFeignClients;
import com.dragon.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 系统模块
 *
 * @author dragon
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableDragonFeignClients
@SpringBootApplication
public class DragonSystemApplication {
    public static void main(String[] args) {
        SpringApplication.run(DragonSystemApplication.class, args);
    }
}
