package com.dragon.system.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dragon.system.common.domain.SysDept;

import java.util.List;

/**
 * @author 冯凯
 * @version 1.0
 * @description: 系统部门plus业务层
 * @date 2023/11/14 12:40
 */
public interface SysDeptPlusService extends IService<SysDept> {


    /**
    获取部门列表
     */
    List<SysDept> querList(SysDept dept);



    /**
     * 根据部门编号获取详细信息
     */
    void checkDeptDataScope(Long deptId);

    /**
    检验部门名称的唯一性
     */
    boolean checkDeptNameUnique(SysDept dept);

    int updateDept(SysDept dept);

    boolean hasChildByDeptId(Long deptId);

    boolean checkDeptExistUser(Long deptId);

    int selectNormalChildrenDeptById(Long deptId);
}
